texlive[74159] Master/tlpkg/bin/tl-update-lmtx-bin: lmtx binary

commits+karl at tug.org commits+karl at tug.org
Wed Feb 19 23:54:19 CET 2025


Revision: 74159
          https://tug.org/svn/texlive?view=revision&revision=74159
Author:   karl
Date:     2025-02-19 23:54:19 +0100 (Wed, 19 Feb 2025)
Log Message:
-----------
lmtx binary locations

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/tl-update-lmtx-bin

Modified: trunk/Master/tlpkg/bin/tl-update-lmtx-bin
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-lmtx-bin	2025-02-19 22:53:48 UTC (rev 74158)
+++ trunk/Master/tlpkg/bin/tl-update-lmtx-bin	2025-02-19 22:54:19 UTC (rev 74159)
@@ -8,19 +8,16 @@
 Master=`cd $mydir/../.. && pwd`
 test -z "$Master" && exit 1
 
-cg=https://dl.contextgarden.net/build/luametatex/main
+cg=https://build.contextgarden.net/dl/luametatex/main
 
 for cgplat in  \
   aarch64-linux \
   amd64-freebsd \
-  armhf-linux \
   i386-freebsd \
   i386-linux \
-  i386-solaris \
   x86_64-darwinlegacy \
   x86_64-linux \
   x86_64-linuxmusl \
-  x86_64-solaris \
   x86_64-w64-mingw32 \
 ; do
   if test $cgplat = x86_64-w64-mingw32; then
@@ -35,10 +32,10 @@
   url=$cg/$cgplat/$binfile
   if wget -nv $url -O lmtx.new; then
     mv lmtx.new $binfile || exit 1
-    echo "$tlplat/$binfile updated"
-    if $tlplat = windows; then;
-      cp -p $binfile context.exe
-      cp -p $binfile mtxrun.exe
+    echo $tlplat/$binfile
+    if test $tlplat = windows; then
+      cp -p $binfile context.exe || exit 1
+      cp -p $binfile mtxrun.exe || exit 1
     fi
   else
     echo "$0: goodbye, wget failed: $url" >&2
@@ -45,3 +42,4 @@
     exit 1
   fi
 done
+cd $Master/bin && svn status



More information about the tex-live-commits mailing list.